It is currently Fri Sep 21, 2018 12:19 am

Tell a friend!


Post new topic Reply to topic  [ 4 posts ] 
Can't find an intrinsic module named 'ieee_arithmetic' 
Author Message

Joined: Fri Apr 27, 2018 8:31 pm
Posts: 3
University: Tarbiat Modares
Post Can't find an intrinsic module named 'ieee_arithmetic'
Dear developers,

I have downloaded the new version of qe from the links:
https://gitlab.com/QEF/q-e
https://github.com/QEF/q-e
and I faced with these errors during make of epw on CentOS:

Fatal Error: Can't find an intrinsic module named 'ieee_arithmetic' at (1)
make[2]: *** [superconductivity.o] Error 1
make[2]: Leaving directory `/home/mxk180036/Downloads/q-e-master/EPW/src'
make[1]: *** [epw] Error 2
make[1]: Leaving directory `/home/mxk180036/Downloads/q-e-master/EPW'
make: *** [epw] Error 1
[mxk180036@vdb03 q-e-master]$ git clone https://gitlab.com/QEF/q-e
Cloning into 'q-e'...
error: RPC failed; result=22, HTTP code = 404
fatal: The remote end hung up unexpectedly

Regards,
Mohammad Mahdi Khatami


Wed Jun 13, 2018 9:44 pm
Profile E-mail
Site Admin
User avatar

Joined: Wed Jan 13, 2016 7:25 pm
Posts: 507
University: Oxford
Post Re: Can't find an intrinsic module named 'ieee_arithmetic'
Dear Mohammad,

The first issue is because your compiler does not have ieee_arithmetic support.

You can try a recent/semi-recent version of GFortran or intel 13 or more recent.

For the second issue, it might be a temporary issue with the gitlab server. Try again in a few hours.

Best wishes,
Samuel

_________________
Dr. Samuel Poncé
Department of Materials
University of Oxford
Parks Road
Oxford OX1 3PH, UK


Thu Jun 14, 2018 1:54 pm
Profile E-mail

Joined: Sat Aug 11, 2018 9:27 am
Posts: 1
University: Osaka University
Post Re: Can't find an intrinsic module named 'ieee_arithmetic'
Dear Dr. Ponce,

I have just recently installed quantum espresso with EPW functionalities and I have come across with similar error while trying to install the EPW. I have understood thanks to your reply that this is due to the old version of fortran compiler, which I have confirmed to be the case in our cluster computer. In ordinary circumstances, this may be easily addressed by upgrading our compiler to the more recent ones however I do not have root privileges to do so. In fact I have installed the latest version of GCC in my local account and tried to install the EPW and failed. I know I need to link the EPW installer to the compiler in my local account but I do not know where to start. Please forgive me for asking as it might be a trivial question, which file in EPW should I modify to direct the installer to my newly installed compiler? I should note that QE was also installed in my local account using the compiler of our cluster.

Thank you very much for your time!

Sincerely,

Elvis


Tue Aug 14, 2018 5:09 am
Profile E-mail
Site Admin
User avatar

Joined: Wed Jan 13, 2016 7:25 pm
Posts: 507
University: Oxford
Post Re: Can't find an intrinsic module named 'ieee_arithmetic'
Hello,

You will need to set up the environment variable $PATH and $LD_LIBRARY_PATH to contain the place where your gcc is installed.

The ./configure of QE should then be able to detect them. If it is not the case, you will need to modify the q-e/make.inc file by hand.

Note: This question was solved by mp and I place it here for interested readers.

_________________
Dr. Samuel Poncé
Department of Materials
University of Oxford
Parks Road
Oxford OX1 3PH, UK


Thu Aug 16, 2018 4:14 pm
Profile E-mail
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  
cron
Powered by phpBB © phpBB Group.
Designed by Vjacheslav Trushkin

(All content on this board is governed by and is the sole responsibility of the board administrator.)


Gratis forum Free forum hosting| gratis phpbb3 forum | phpbb3 styles